Bug 1404569 - glusterfs-rdma package is not pulled while doing layered installation of RHGS 3.2 on RHEL7 and not present in RHGS RHEL7 ISO also by default and vdsm-cli pkg not pulled during lay.. Installation
Summary: glusterfs-rdma package is not pulled while doing layered installation of RHG...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: vdsm
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Ramesh N
QA Contact: Byreddy
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-12-14 06:52 UTC by Byreddy
Modified: 2018-03-06 09:11 UTC (History)
11 users (show)

Fixed In Version: vdsm-4.17.33-1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 05:56:44 UTC
Target Upstream Version:
mchangir: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Byreddy 2016-12-14 06:52:33 UTC
Description of problem:
=======================
glusterfs-rdma  package is not pulled while doing layered installation of RHGS 3.2 on RHEL7 and not present in RHGS RHEL7 ISO also by default.


Some info related to this can be found here - https://bugzilla.redhat.com/show_bug.cgi?id=1373951#c3


Note:
=====
This package is present in RHGS3.2 RHEL6 ISO by default AND
This package is pulled while doing layered installation of RHGS3.2 on RHEL6


Version-Release number of selected component (if applicable):
=============================================================

Latest available RHGS3.2 RHEL7 ISO ( i will provide the ISO link in the next comment ) and  
redhat-storage-server-3.2.0.2-1.el7rhgs.noarch for layered installation.



How reproducible:
=================
Always

Steps to Reproduce:
===================
1. Install the latest available rhgs3.2 rhel7 iso
2. Check for glusterfs-rdma package.

OR
1. Install RHEL 7.3 
2. Install the gluster packages using  "yum install redhat-storage-server"

Actual results:
===============
glusterfs-rdma  package is not pulled while doing layered installation of RHGS 3.2 on RHEL7 and not present in RHGS RHEL7 ISO by default

Expected results:
=================
glusterfs-rdma package should be pulled while doing layered installation and it should present in ISO  as well.



Additional info:
=================

Comment 2 Byreddy 2016-12-14 06:56:02 UTC
Layered installation console o/p:
*********************************

==============================================================================================================================================================================================
 Package                                              Arch                          Version                                    Repository                                                Size
==============================================================================================================================================================================================
Installing:
 redhat-storage-server                                noarch                        3.2.0.2-1.el7rhgs                          Server-RH-Gluster-3.2-Server                             1.2 M
Installing for dependencies:
 gluster-nagios-addons                                x86_64                        0.2.8-1.el7rhgs                            Server-RH-Gluster-3.2-Server                              54 k
 gluster-nagios-common                                noarch                        0.2.4-1.el7rhgs                            rhel-x86_64-server-7-rh-gluster-3                         31 k
 glusterfs                                            x86_64                        3.8.4-8.el7rhgs                            Server-RH-Gluster-3.2-Server                             493 k
 glusterfs-api                                        x86_64                        3.8.4-8.el7rhgs                            Server-RH-Gluster-3.2-Server                              67 k
 glusterfs-cli                                        x86_64                        3.8.4-8.el7rhgs                            Server-RH-Gluster-3.2-Server                             168 k
 glusterfs-client-xlators                             x86_64                        3.8.4-8.el7rhgs                            Server-RH-Gluster-3.2-Server                             768 k
 glusterfs-fuse                                       x86_64                        3.8.4-8.el7rhgs                            Server-RH-Gluster-3.2-Server                             111 k
 glusterfs-geo-replication                            x86_64                        3.8.4-8.el7rhgs                            Server-RH-Gluster-3.2-Server                             193 k
 glusterfs-libs                                       x86_64                        3.8.4-8.el7rhgs                            Server-RH-Gluster-3.2-Server                             358 k
 glusterfs-server                                     x86_64                        3.8.4-8.el7rhgs                            Server-RH-Gluster-3.2-Server                             1.4 M
 libvirt-daemon-driver-qemu                           x86_64                        2.0.0-10.el7_3.2                           rhel-x86_64-server-7                                     615 k
 libvirt-daemon-driver-storage                        x86_64                        2.0.0-10.el7_3.2                           rhel-x86_64-server-7                                     375 k
 libvirt-daemon-kvm                                   x86_64                        2.0.0-10.el7_3.2                           rhel-x86_64-server-7                                     137 k
 mom                                                  noarch                        0.5.5-1.el7ev                              rhel-x86_64-server-7-rh-gluster-3                        122 k
 python-gluster                                       noarch                        3.8.4-8.el7rhgs                            Server-RH-Gluster-3.2-Server                              13 k
 qemu-img                                             x86_64                        10:1.5.3-126.el7                           rhel-x86_64-server-7                                     669 k
 qemu-kvm                                             x86_64                        10:1.5.3-126.el7                           rhel-x86_64-server-7                                     1.9 M
 swiftonfile                                          noarch                        2.3.0-5.el7rhgs                            Server-RH-Gluster-3.2-Server                             132 k
 vdsm                                                 noarch                        4.17.33-1.el7rhgs                          rhel-x86_64-server-7-rh-gluster-3                        925 k
 vdsm-gluster                                         noarch                        4.17.33-1.el7rhgs                          rhel-x86_64-server-7-rh-gluster-3                         58 k
 vdsm-infra                                           noarch                        4.17.33-1.el7rhgs                          rhel-x86_64-server-7-rh-gluster-3                         15 k
 vdsm-jsonrpc                                         noarch                        4.17.33-1.el7rhgs                          rhel-x86_64-server-7-rh-gluster-3                        105 k
 vdsm-python                                          noarch                        4.17.33-1.el7rhgs                          rhel-x86_64-server-7-rh-gluster-3                        223 k
 vdsm-xmlrpc                                          noarch                        4.17.33-1.el7rhgs                          rhel-x86_64-server-7-rh-gluster-3                         28 k
 vdsm-yajsonrpc                                       noarch                        4.17.33-1.el7rhgs                          rhel-x86_64-server-7-rh-gluster-3                         30 k

Transaction Summary
==============================================================================================================================================================================================

Comment 3 Milind Changire 2016-12-14 07:35:58 UTC
vdsm dependencies have been restored in redhat-storage-server-3.2.0.2-1, which should pull in glusterfs-rdma

Sreenath,
Any clue why glusterfs-rdma is not available in the RHEL7 ISO ?
Byreddy says that glusterfs-rdma available in RHEL6 ISO and via RHEL6 layered install as well.

Comment 4 Sreenath G 2016-12-14 07:50:14 UTC
(In reply to Milind Changire from comment #3)
> vdsm dependencies have been restored in redhat-storage-server-3.2.0.2-1,
> which should pull in glusterfs-rdma
> 
> Sreenath,
> Any clue why glusterfs-rdma is not available in the RHEL7 ISO ?
> Byreddy says that glusterfs-rdma available in RHEL6 ISO and via RHEL6
> layered install as well.

Hi Milind,

      glusterfs-rdma-3.8.4-7.el7rhgs.x86_64.rpm is present in latest RHGSS-3.2-RHEL-7-20161212.n.0 ISO. So we need to check in detail on the root cause of this problem.

Comment 5 Milind Changire 2016-12-14 13:04:45 UTC
`redhat-storage-server` does NOT have a direct reference to `glusterfs-rdma` package ... so it isn't conditionally included for RHEL6 or excluded for RHEL7 from `redhat-storage-server` ... need to ask Ramesh Nachimuthu about any changes to `vdsm` dependencies for RHEL7

Ramesh,
Could you double-check vdsm-gluster dependencies regarding glusterfs-rdma dependency being removed for RHEL7 ?

Comment 6 Ramesh N 2016-12-14 13:34:20 UTC
(In reply to Milind Changire from comment #5)
> `redhat-storage-server` does NOT have a direct reference to `glusterfs-rdma`
> package ... so it isn't conditionally included for RHEL6 or excluded for
> RHEL7 from `redhat-storage-server` ... need to ask Ramesh Nachimuthu about
> any changes to `vdsm` dependencies for RHEL7
> 
> Ramesh,
> Could you double-check vdsm-gluster dependencies regarding glusterfs-rdma
> dependency being removed for RHEL7 ?

Sorry for the confusion. I can understand the issue now.

vdsm rpms in RHEL-6 and RHEL-7 are different versions. RHEL-7 has higher version 4.17.33 and RHEL-6 has a lower version 4.16.30. Looks like this rdma dependency was removed in upstream vdsm-4.17.33 and eventually copied to downstream during rebase in RHGS 3.1.3 release.

Sahina: Do we need to add this dependency back in RHEL-7?. How important is it. How many customers are using RDMA with Console.?.

Comment 7 Sahina Bose 2016-12-14 13:42:54 UTC
I'm not aware of any customers setting up RDMA via RHGS-C.
If glusterfs-rdma is not in ISO, vdsm does not need to pull this in, IMO.

Comment 15 Byreddy 2016-12-21 10:16:36 UTC
part of the fix is verified that is layered installation.

during layered installation i am seeing packages mentioned in bz title are pulled as dependency packages, here is the pulled and installed packages list

Installed:
  redhat-storage-server.noarch 0:3.2.0.2-1.el7rhgs                                                                                                                                            

Dependency Installed:
  gluster-nagios-addons.x86_64 0:0.2.8-1.el7rhgs                   gluster-nagios-common.noarch 0:0.2.4-1.el7rhgs              glusterfs.x86_64 0:3.8.4-9.el7rhgs                           
  glusterfs-api.x86_64 0:3.8.4-9.el7rhgs                           glusterfs-cli.x86_64 0:3.8.4-9.el7rhgs                      glusterfs-client-xlators.x86_64 0:3.8.4-9.el7rhgs            
  glusterfs-fuse.x86_64 0:3.8.4-9.el7rhgs                          glusterfs-geo-replication.x86_64 0:3.8.4-9.el7rhgs          glusterfs-libs.x86_64 0:3.8.4-9.el7rhgs                      
  glusterfs-rdma.x86_64 0:3.8.4-9.el7rhgs                          glusterfs-server.x86_64 0:3.8.4-9.el7rhgs                   libvirt-daemon-driver-qemu.x86_64 0:2.0.0-10.el7_3.2         
  libvirt-daemon-driver-storage.x86_64 0:2.0.0-10.el7_3.2          libvirt-daemon-kvm.x86_64 0:2.0.0-10.el7_3.2                mom.noarch 0:0.5.5-1.el7ev                                   
  python-gluster.noarch 0:3.8.4-9.el7rhgs                          qemu-img.x86_64 10:1.5.3-126.el7                            qemu-kvm.x86_64 10:1.5.3-126.el7                             
  swiftonfile.noarch 0:2.3.0-5.el7rhgs                             vdsm.noarch 0:4.17.33-1.1.el7rhgs                           vdsm-cli.noarch 0:4.17.33-1.1.el7rhgs                        
  vdsm-gluster.noarch 0:4.17.33-1.1.el7rhgs                        vdsm-infra.noarch 0:4.17.33-1.1.el7rhgs                     vdsm-jsonrpc.noarch 0:4.17.33-1.1.el7rhgs                    
  vdsm-python.noarch 0:4.17.33-1.1.el7rhgs                         vdsm-xmlrpc.noarch 0:4.17.33-1.1.el7rhgs                    vdsm-yajsonrpc.noarch 0:4.17.33-1.1.el7rhgs                  

Complete!



ISO is not available to test this bz, this will be moved to verified once ISO testing is done.

Comment 16 Byreddy 2016-12-21 10:17:47 UTC
Raising needinfo to provide the ISO with packages mentioned in bz title.

Comment 19 Byreddy 2017-01-06 05:45:32 UTC
both glusterfs-rdma and vdsm-cli packages are present in the ISO by default 
Moving to verified state.

Comment 21 errata-xmlrpc 2017-03-23 05:56:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.